IDP public API
Retrieves the logins (login providers) used for a user (Auth scopes: identityprovider_service_api, identityprovider_users_api)
This endpoint provides access to retrieve user information.
get
/api/v1/users/{id}/logins
Path Parameters
idstringrequired
The unique user id or user name
Response
application/json
Response
application/json
OK
Represents a login and its associated provider for a user.
* Additional properties are NOT allowed.
loginProvidernull | string
providerDisplayNamenull | string
providerKeynull | string
application/json
ProblemDetails
objectdetailnull | string
instancenull | string
statusnull | integer(int32)
titlenull | string
typenull | string
Example
RequestUserInviteViewModelV3
object * Additional properties are NOT allowed.
clientIdnull | string
Optional Id of the requesting client for templating and redirection uri after completed invite
Example
User
object * Additional properties are NOT allowed.
claimsnull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
emailnull | string
emailConfirmedboolean
firstNamenull | string
idnull | string
isBlockedboolean
isDeletedboolean
lastNamenull | string
lockoutEndnull | string(date-time)
phoneNumbernull | string
rolesnull | array[object]
* Additional properties are NOT allowed.
Show Child Parameters
userNamenull | string
Example
UserClaim
object * Additional properties are NOT allowed.
claimTypenull | string
valuenull | string
valueTypenull | string
Example